> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Meta agent spending caps

> The caps on what Meta's agent may spend for this business. An empty list means no cap.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/connections/{connection_id}/whatsapp/businesses/{business_id}/meta-agent/budget
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/businesses/{business_id}/meta-agent/budget:
    get:
      tags:
        - WhatsApp Meta agent
      summary: Get Meta agent spending caps
      description: >-
        The caps on what Meta's agent may spend for this business. An empty list
        means no cap.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: true
          description: >-
            The ID of the business that owns the WhatsApp account (business_id
            on the account)
          name: business_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppMetaAgentBudgetsSchema'
components:
  schemas:
    WhatsAppMetaAgentBudgetsSchema:
      type: object
      properties:
        budgets:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppMetaAgentBudgetSchema'
      required:
        - budgets
    WhatsAppMetaAgentBudgetSchema:
      type: object
      properties:
        budget_id:
          type: string
        unit_type:
          $ref: '#/components/schemas/WhatsAppMetaAgentBudgetUnitSchema'
        time_window:
          $ref: '#/components/schemas/WhatsAppMetaAgentBudgetWindowSchema'
        max_budget:
          type: number
      required:
        - unit_type
        - time_window
        - max_budget
    WhatsAppMetaAgentBudgetUnitSchema:
      type: string
      enum:
        - token
        - ai_turn
      description: >-
        token caps the tokens the whole business spends; ai_turn caps the agent
        replies in one conversation.
    WhatsAppMetaAgentBudgetWindowSchema:
      type: string
      enum:
        - one_day
        - seven_days
        - fourteen_days
        - thirty_days
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````